!Clarion could use a PROP:NoHideSel that turn on the ES_NoHideSel as below

    program
    include 'keycodes.clw'
    map
Main    Procedure()         !DOn;t test global
Change_GWL_STYLE    procedure(long ControlFEQ, long OffBits, Long OnBits),LONG,PROC   !Use GetWindowLong/SetWindowLong to change GWL_STYLE
Change_EXGWL_STYLE  procedure(long ControlFEQ, long OffBits, Long OnBits),LONG,PROC   !Use GetWindowLong/SetWindowLong to change EXGWL_STYLE
Change_Frame_STYLE  procedure(long ControlFEQ, long offGWL , long onGWL,  Long offEXGWL, Long onEXGWL)!,LONG,PROC   !Change and then SWP_FRAMECHANGED

 module('windows')
   GetWindowLong(Unsigned,SIGNED),LONG,PASCAL,NAME('GetWindowLongA')      ,proc
   SetWindowLong(Unsigned,SIGNED,LONG),LONG,PASCAL,NAME('SetWindowLongA') ,proc
   SetWindowPos(SIGNED hWnd,SIGNED hWndInsertAfter,LONG X,LONG Y,LONG cx,LONG cy,UNSIGNED uFlags),BOOL,PASCAL,DLL(1),PROC
 end
    end

ES_NoHideSel    EQUATE(100H)
GWL_STYLE       EQUATE(-16)
GWL_EXSTYLE                       EQUATE(-20)

    CODE
    Main()
!------------
Main    Procedure()         !DOn;t test global
StringToEdit  string(500)
String2       string(500)

Window WINDOW('No Hide Select'),AT(,,289,146),FONT('MS Sans Serif',8,,FONT:regular),SYSTEM,GRAY,DOUBLE
       STRING('Select some text and then right click'),AT(5,1)
       TEXT,AT(5,12,132,85),USE(StringToEdit),COLOR(COLOR:BTNFACE),ALRT(MouseRight),READONLY
       TEXT,AT(152,12,132,85),USE(String2),ALRT(MouseRight)
       STRING('No Hide Select (ES_NoHideSel)'),AT(6,99)
       STRING('Normal Clarion TEXT'),AT(153,99)
       PROMPT('ES_NoHideSel is useful for SpellCheck where you want a word in a TEXT control to' &|
           ' be highlighted.'),AT(5,114,135,28),USE(?Prompt1)
     END

CtrlHWnd    long
windstyle   long
    code

    StringToEdit='234089tlknvej0v35j0v53<13,10>r28-f3rjg30j9g3j09g3<13,10>asfljqg3u0g3ijoqbe'
    String2 = StringToEdit
    open(window)

    DO AddOnHideSel_rtn

    accept
        case event()
        of event:OpenWindow
            !Select(?StringToEdit,10,20)         !Select some text, this should stick since ES_NoHideSel
            ?StringToEdit{PROP:SelStart} = 10
            ?StringToEdit{PROP:SelEnd}   = 35

            Select(?String2,10,20)              !Select other control 

        of event:alertkey
            if keycode()=MouseRight
                execute popup('Cu&t<9>Ctrl+X|&Copy<9>Ctrl+C|&Paste<9>Ctrl+P')
                    presskey(ctrlX)
                    presskey(ctrlC)
                    presskey(ctrlV)
                end
            end
        end
    end

AddOnHideSel_rtn ROUTINE
    CtrlHWnd = ?StringToEdit{prop:handle}

    windstyle=getwindowlong(CtrlHWnd,GWL_STYLE)
    windstyle=bor(windstyle,ES_NoHideSel)
    setwindowlong(CtrlHWnd,GWL_STYLE,windstyle)

    !The style ES_NoHideSel _must_ be specified when the control is Created, so SetWindowLong cannot change it
    !But alignment styles (e.g. Left,Center,Right) also cannot be changed.
    !So changing PROP:Left,Center,Right will cause the RTL to CreateWindow() the control again and you'll get your style
    !In 6.3 PROP:Left was optimized to not Create the control again if the control had the Left stlye
    !so you must change to Center or Right to get the control to change, then back to Left so it looks right

    ?StringToEdit{prop:center}='1'    !Per RKC Need to do this for control to change, i.e. CreateWindow again
    ?StringToEdit{prop:left}='1'      !Now change back to what I want
    !?StringToEdit{prop:left}=''
    exit


!==========================================
Change_GWL_STYLE  procedure(long ControlFEQ, long OffBits, Long OnBits)!,LONG,PROC   !Use GetWindowLong/SetWindowLong to change GWL_STYLE
!GWL_EXSTYLE    EQUATE(-20)
!GWL_STYLE      EQUATE(-16)
iGWL_STYLE      EQUATE(-16)
WinLong         LONG,AUTO
CtrlHWnd        Unsigned,AUTO
    code
    CtrlHWnd = ControlFEQ{prop:handle}
    WinLong=GetWindowLong(CtrlHWnd,  iGWL_STYLE)
    WinLong=band(WinLong,bxor(0FFFFFFFFh,OffBits))     !And with the off-complement to strip OffBits
    WinLong=bor(WinLong,OnBits)                        !OR the OnBits to turn on
    SetWindowLong(CtrlHWnd, iGWL_STYLE, WinLong)
    return WinLong
!------------------
Change_EXGWL_STYLE   procedure(long ControlFEQ, long OffBits, Long OnBits)!,LONG,PROC   !Use GetWindowLong/SetWindowLong to change GWL_STYLE
!GWL_EXSTYLE    EQUATE(-20)
!GWL_STYLE      EQUATE(-16)
iGWL_EXSTYLE    EQUATE(-20)
WinLong         LONG,AUTO
CtrlHWnd        Unsigned,AUTO
    code
    CtrlHWnd = ControlFEQ{prop:handle}
    WinLong=GetWindowLong(CtrlHWnd,  iGWL_EXSTYLE)
    WinLong=band(WinLong,bxor(0FFFFFFFFh,OffBits))     !And with the off-complement to strip OffBits
    WinLong=bor(WinLong,OnBits)                        !OR the OnBits to turn on
    SetWindowLong(CtrlHWnd, iGWL_EXSTYLE, WinLong)
    return WinLong

!------------------
!some styles changes requires a SetWindowPos(eSWP_FRAMECHANGED) so this does that
Change_Frame_STYLE  procedure(long ControlFEQ, long offGWL , long onGWL,  Long offEXGWL, Long onEXGWL)  !Change and then SWP_FRAMECHANGED
CtrlHWnd        Unsigned,AUTO
eSWP_NOCHANGE      EQUATE(1+2+4)   !SWP_NOSIZE 0x0001, SWP_NOMOVE 0x0002, SWP_NOZORDER 0x0004
eSWP_FRAMECHANGED  EQUATE(0020h)   !  /* The frame changed: send WM_NCCALCSIZE */
    code
    IF onGWL   OR offGWL THEN Change_GWL_STYLE(ControlFEQ,offGWL,onGWL).
    IF onEXGWL OR offEXGWL THEN Change_EXGWL_STYLE(ControlFEQ,offEXGWL,onEXGWL).
    CtrlHWnd = ControlFEQ{prop:handle}
    SetWindowPos(CtrlHWnd, 0, 0, 0, 0, 0, eSWP_NOCHANGE+ eSWP_FRAMECHANGED)
    RETURN

